## nekowm 1.0.0

=== Makefile ===
CFLAGS?=-W -Wall -Wextra -O2 -ggdb
CFLAGS+=-std=gnu99 $(shell gfxprim-config --cflags)
BIN=nekowm
BIN_LOGIN=nekowm-login
#TODO: Move text_fit to core to avoid linking against widgets
$(BIN): LDLIBS=-lgfxprim $(shell gfxprim-config --libs-backends) -lgfxprim-widgets
$(BIN_LOGIN): LDLIBS=-lcrypt $(shell gfxprim-config --libs-widgets) -lgfxprim
SOURCES=$(wildcard *.c)
DEP=$(SOURCES:.c=.dep)
OBJ=$(SOURCES:.c=.o)

all: $(BIN) $(BIN_LOGIN) $(DEP)

%.dep: %.c
	$(CC) $(CFLAGS) -M $< -o $@

$(BIN): $(filter-out login.o nekowm-login.o,$(OBJ))
$(BIN_LOGIN): login.o

man:
	go-md2man  -in SETUP.md -out nekowm.1

-include $(DEP)

install:
	install -d $(DESTDIR)/usr/bin/
	install $(BIN) -t $(DESTDIR)/usr/bin/
	install $(BIN_LOGIN) -t $(DESTDIR)/usr/bin/
	install -d $(DESTDIR)/usr/share/applications/
	install -m 644 $(BIN).desktop -t $(DESTDIR)/usr/share/applications/
	install -d $(DESTDIR)/usr/share/$(BIN)/
	install -m 644 $(BIN).png -t $(DESTDIR)/usr/share/$(BIN)/
	install -d $(DESTDIR)/usr/lib/systemd/system/
	install -m 644 $(BIN)-login.service -t $(DESTDIR)/usr/lib/systemd/system/
	install -d $(DESTDIR)/usr/lib/systemd/user/
	install -m 644 $(BIN).service -t $(DESTDIR)/usr/lib/systemd/user/
	install -d $(DESTDIR)/usr/share/man/man1/
	install -m 644 $(BIN).1 -t $(DESTDIR)/usr/share/man/man1/

clean:
	rm -f $(BIN) *.dep *.o

=== debian/changelog ===
nekowm (1.0.0-0+72.1) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Thu, 30 Oct 2025 21:43:53 +0000

nekowm (1.0.0-1) unstable; urgency=low

  * Initial release

 -- Cyril Hrubis <metan@ucw.cz>  Sun, 14 Jan 2024 20:21:41 +0100

=== debian/control ===
Source: nekowm
Priority: extra
Maintainer: Cyril Hrubis <metan@ucw.cz>
Build-Depends: debhelper (>= 9.0), libgfxprim-dev
Standards-Version: 4.0.0
Section: misc
Homepage: http://gfxprim.ucw.cz/

Package: nekowm
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A gfxprim proxy backend tiling window manager
 NekoWM can run directly on Linux DRM or Framebuffer as well as inside of X11
 or Wayland window. NekoWM implements virtual screens, split screens as well as
 application launcher for gfxprim applications.
